Run a Platt-scaling refit and UPSERT calibration_models
POST
/api/v1/cockpit/calibration/refit
const url = 'https://api.ultimateteam.ai/api/v1/cockpit/calibration/refit';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"decision_type":"example","role":"example","window_days":90}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/cockpit/calibration/refit \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "decision_type": "example", "role": "example", "window_days": 90 }'Fit Platt parameters + UPSERT the fit row.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Post Calibration Refit Api V1 Cockpit Calibration Refit Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}